Subject: bug#27402: 26.0.50; Indentation regression for C99 struct initializers

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 30 Nov 2020 12:07:10 +0100

Adam Niederer <[email-masked]> writes:

> Emacs 25.2 indents the code as seen above, whereas Emacs 26.0.50 indents
> it as such:
>
> void main() {
>   struct Foo foo = {
>                     .a = 2,
>                     .b = 3
>   };
> }

(This bug report unfortunately got no response at the time.)

I can reproduce this in Emacs 26.1, but not in Emacs 28, so I think this
has been fixed by now, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no